"use strict";

const createError = require("error-chain").create;
const defaultValue = require("default-value");

module.exports =  createError("Aborted", {
	populate: (message) => {
		return { message: defaultValue(message, "The stream was aborted") };
	},
	context: {
		_promistreamIsAbortedMarker: true,
		_promistreamVersion: 1
	}
});
